BackendHTTP APIActions

Trigger an action

Requires an API key with the environment:actions:execute scope. Learn more about API key scopes.

POST
/action/trigger

Triggers an action for a connection

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Header Parameters

Connection-Id*string

The connection ID used to create the connection.

Provider-Config-Key*string

The integration ID used to create the connection (aka Unique Key).

X-Async?boolean

Set to true to trigger the action asynchronously. When true, the response will include a status URL and ID for retrieving the action result later. See Asynchronous action documentation for more details.

X-Max-Retries?integer

The maximum number of retries in case of failure (between 0 and 5). Only applicable when X-Async is true. Default to 0 if not specified.

Range0 <= value <= 5
Default0

Request Body

application/json
  1. body
action_name*string

The name of the action to trigger.

input?

The necessary input for your action's 'exec' function.

Response Body

The result of the action.

application/json
  1. response

The result of the action when triggered synchronously. (cannot exceed 10MB)

your-properties?

The data returned by the action

Example Request
curl -X POST 'https://api.tenklo.dev/action/trigger' \  -H 'Connection-Id: string' \  -H 'Provider-Config-Key: string' \  -H 'Content-Type: application/json' \  -d '{  "action_name": "string"}'
Example Response
{  "your-properties": {}}